image: docker:19.03.1
services:
  - docker:19.03.1-dind

stages:
  - build
  - publish

before_script:
  - echo -n $CI_JOB_TOKEN | docker login -u gitlab-ci-token --password-stdin $CI_REGISTRY

build-snapshot:
  stage: build
  variables:
    CONTAINER_IMAGE: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG-$CI_COMMIT_SHORT_SHA
  script:
    - docker pull $CI_REGISTRY_IMAGE:latest || true
    - docker build
      --pull
      --cache-from $CI_REGISTRY_IMAGE:latest
      --tag $CONTAINER_IMAGE .
    - docker push $CONTAINER_IMAGE

